import requests

resp = requests.get(
    "https://pypi.org/simple/fluffy-server", headers={
        "Accept": "application/vnd.pypi.simple.v1+json"
    }
)

resp.raise_for_status()

resp = resp.json()

if resp["files"][-1]["data-dist-info-metadata"]:
    metadata_url = resp["files"][-1]["url"]+ ".metadata"
    r2 = requests.get(metadata_url)

r2.raise_for_status()

print(resp["versions"][-1])
print(r2.text)


### Parse metadata file

import email.parser

def parse_metadata(metadata_path):
    with open(metadata_path, 'r') as file:
        metadata_content = file.read()

    parser = email.parser.Parser()
    metadata_message = parser.parsestr(metadata_content)

    # Extract desired information from the parsed message
    name = metadata_message['Name']
    version = metadata_message['Version']
    # Add more fields as needed

    return name, version  # Return the extracted information